#ifndef lint
static const char rcsid[] =
    "@(#) $Id: tivoproto.c,v 1.1 2000/12/21 03:01:05 leres Exp $ (XSE)";
#endif

#include <sys/types.h>

#include <netinet/in.h>

#include <netdb.h>
#include <stdio.h>
#include <string.h>

static struct protoent *nextprotoent;
static struct protoent protoents[] = {
	{ "ip",		NULL, IPPROTO_IP },
	{ "icmp",	NULL, IPPROTO_ICMP },
	{ NULL,		NULL, 0 }
};

struct protoent *
getprotobyname(const char *name)
{
	register struct protoent *pp;

	for (pp = protoents; pp->p_name != NULL; ++pp)
		if (strcmp(name, pp->p_name) == 0)
		    return (pp);
	return (NULL);
}

struct protoent *
getprotobynumber(int proto)
{
	register struct protoent *pp;

	for (pp = protoents; pp->p_name != NULL; ++pp)
		if (proto == pp->p_proto)
		    return (pp);

	return (NULL);
}

struct protoent *
getprotoent(void)
{
	if (nextprotoent == NULL)
		nextprotoent = protoents;
	else if (nextprotoent->p_name == NULL)
		return (NULL);
	return (nextprotoent++);
}

void
setprotoent(int stayopen)
{

	nextprotoent = NULL;
}

void
endprotoent(void)
{
}
