#ifndef lint
static const char rcsid[] =
    "@(#) $Id: tivoserv.c,v 1.1 2000/12/21 02:51:31 leres Exp $ (XSE)";
#endif

#include <sys/types.h>

#include <netdb.h>
#include <stdio.h>
#include <string.h>

static char tcpname[] = "tcp";
static char udpname[] = "udp";
static struct servent *nextsrvent;
static struct servent servents[] = {
	{ "ftp",	NULL, 21,	tcpname },
	{ "ssh",	NULL, 22,	tcpname },
	{ "ssh",	NULL, 22,	udpname },
	{ "telnet",	NULL, 23,	tcpname },
	{ "smtp",	NULL, 25,	tcpname },
	{ "tftp",	NULL, 69,	udpname },
	{ "www",	NULL, 80,	tcpname },
	{ "ntp",	NULL, 123,	tcpname },
	{ "ntp",	NULL, 123,	udpname },
	{ "syslog",	NULL, 514,	udpname },
	{ NULL,		NULL, 0,	NULL }
};

struct servent *
getservbyname(const char *name, const char *proto)
{
	register struct servent *sp;

	for (sp = servents; sp->s_name != NULL; ++sp)
		if (strcmp(name, sp->s_name) == 0 &&
		    strcmp(proto, sp->s_proto) == 0)
		    return (sp);

	return (NULL);
}

struct servent *
getservbyport(int port, const char *proto)
{
	register struct servent *sp;

	for (sp = servents; sp->s_name != NULL; ++sp)
		if (port == sp->s_port &&
		    strcmp(proto, sp->s_proto) == 0)
		    return (sp);

	return (NULL);
}

struct servent *
getservent(void)
{

	if (nextsrvent == NULL)
		nextsrvent = servents;
	else if (nextsrvent->s_name == NULL)
		return (NULL);
	return (nextsrvent++);
}

void
endservent(void)
{
}

void
setservent(int stayopen)
{

	nextsrvent = NULL;
}
